\echo
\echo -- Checking invalid PersonNames ... expect to see errors --
\echo

select 'Smith, John  '::PersonName;       -- trailing spaces
select ' Smith, John'::PersonName;        -- leading spaces
select 'Smith,  John'::PersonName;        -- extra space after comma
select 'Smith, john'::PersonName;         -- name begins with lower-case
select 'smith, John'::PersonName;         -- name begins with lower-case
select 'Smith, John A'::PersonName;       -- initials are not names
select 'Smith, John 3rd'::PersonName;     -- no numbers allowed
select 'Able, Baker C#arlie'::PersonName; -- invalid character
select '1234567'::PersonName;             -- not a name
select '-----'::PersonName;               -- not a name
